# $Revision: 1.9 $, $Date: 2004/05/06 18:09:32 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Email
%define	pnam	Find
Summary:	Email::Find - find RFC 822 email addresses in plain text
Summary(pl):	Email::Find - wyszukiwanie adresw pocztowych RFC 822 w czystym tekcie
Name:		perl-Email-Find
Version:	0.09
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	988182c9b5ec80861ee3749a434104ea
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(Mail::Address)
BuildRequires:	perl-Email-Valid
BuildRequires:	perl-Test-Simple
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Email::Find is a module for finding a _subset_ of RFC 822 email
addresses in arbitrary text. The addresses it finds are not guaranteed
to exist or even actually be email addresses at all, but they will be
valid RFC 822 syntax.

%description -l pl
Email::Font to modu do wyszukiwania _podzbioru_ adresw pocztowych
RFC 822 w dowolnym tekcie. Nie ma gwarancji, e znalezione adresy
bd istniay lub nawet faktycznie bd adresami pocztowymi, ale bd
miay skadnie zgodn z RFC 822.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/%{pdir}/*.pm
%{perl_vendorlib}/%{pdir}/%{pnam}
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Email-Find.spec,v $
Revision 1.9  2004/05/06 18:09:32  ankry
- fixed perl-devel BR

Revision 1.8  2004/04/20 23:30:46  ankry
- fixed bconds

Revision 1.7  2004/04/20 10:19:49  ankry
- new bconds

Revision 1.6  2004/04/20 07:35:44  ankry
- license fixes and unification

Revision 1.5  2004/04/14 14:57:03  ankry
- cosmetics

Revision 1.4  2003/09/09 10:24:34  ankry
- spaces -> tab

Revision 1.3  2003/08/27 00:16:33  gotar
- fixed changelog trailer

Revision 1.2  2003/07/31 21:10:46  qboosh
- pl

Revision 1.1  2003/07/25 19:22:52  radek
- new
